## goplay 0.9.1+nmu1ubuntu2

=== src/CuTest.example/Makefile ===
runtests:
	gcc -o runtests runtests.c example.c ../CuTest.c

clean:
	rm -f *.o *.~ runtests

## goplay 0.4

=== debian/changelog ===
goplay (0.4-1ubuntu3) oneiric; urgency=low

  * rebuild against the latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Aug 2011 12:55:11 +0200

goplay (0.4-1ubuntu2) natty; urgency=low

  * No-change rebuild for libxapian15 → libxapian22 transition. 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 30 Oct 2010 12:09:44 +0200

goplay (0.4-1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + src/pkgbrowser.cpp: Assign the return value from strtol() to an unused
      variable and mark it as unused.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Aug 2010 09:30:51 +0200

goplay (0.4-1) UNRELEASED; urgency=low

  [ Peter De Wachter ]
  * goplay is now much more keyboard-friendly, thanks to some tweaks
    to the fluid file. (Closes: #456563)
  * Long URLs are wordwrapped.

  [ David Paleino ]
  * debian/control:
    - bumped libept Build-Dependency to >= 1.0
    - bumped debhelper Build-Dependency to >= 7.0.50
    - Uploaders field wrapped
    - bump Standards-Version to 3.8.4 (no changes needed)
    - add g++-4.5 as an alternative to c++abi2-dev, let's make
      lintian happy
  * debian/source/format: using 3.0 (quilt)
  * debian/compat bumped to 7
  * debian/rules rewritten to use dh7
  * debian/*.desktop: removed deprecated Encoding field
  * debian/copyright updated to DEP-5

  [ Enrico Zini ]
  * Ported to libept1. Closes: #580992

 -- Enrico Zini <enrico@debian.org>  Fri, 25 Jun 2010 09:36:47 +0100

goplay (0.3-1ubuntu3) karmic; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 26 Sep 2009 00:12:31 +0200

goplay (0.3-1ubuntu2) jaunty; urgency=low

  * Rebuild against libapt-pkg-libc6.9-6-4.7.
  * Reenable _FORTIFY_SOURCE again.
    + src/pkgbrowser.cpp: Assign the return value from strtol() to an unused
      variable and mark it as unused.

 -- Michael Bienia <geser@ubuntu.com>  Thu, 12 Feb 2009 12:56:27 +0100

goplay (0.3-1ubuntu1) intrepid; urgency=low

  * Rebuild against libapt-pkg-libc6.8-6-4.6.
  * debian/rules:
    - Compile with CPPFLAGS = -U_FORTIFY_SOURCE, fix FTBFS.
  * debian/control:
    - Update Maintainer field as per spec.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 28 Jun 2008 14:36:15 +0200

goplay (0.3-1) unstable; urgency=low

  * New upstream version:
    + Fix display of popcon graphic.
    + behave even if popcon data is missing for some packages
    + Added --go=facet commandline option
    + Implemented --ftags and --secondary
    + Added some preset defaults according to argv[0]
    + Allow to choose the direction with --go, and added --primary to
      choose the primary facet
  * Enable new "ghost" browsers golearn, goadmin, gonet, gooffice, gosafe and
    goweb in Debian packaging:
    + Add symlinks from usr/bin/goplay, usr/share/pixmaps/goplay.xpm and
      usr/share/man/man1/goplay.1.gz.
    + Add desktop files
    + Conflict, provide and replace unofficial package golearn
    + Extend long description
  * Add myself as uploader.
  * Rephrase short and long description and desktop file descriptions to
    mention packages, and not Debian.  Thanks to Christian Perrier for the
    suggestion.
  * Bump standards-version to 3.7.3 (no changes needed).
  * Add empty MimeType declaration to desktop files, and use dh_desktop.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Feb 2008 20:35:47 +0100

goplay (0.2-1) unstable; urgency=low

  * New upstream version
     - Use the Xapian term prefixes used by apt-xapian-index
     - Use a non-const string to work around fltk's non const-cleaniness.
       Closes: bug#441120
     - Don't hide the currently selected filters from the list of available
       filters.  This avoids the interface getting inconsistent in some cases.
     - Get all the results out of Xapian, not just the top 100.
       Closes: bug#447333.
     - Small code fixes to appease GCC 4.3.  Closes: bug#455137.
     - Reduce noise to stdout/stderr

 -- Enrico Zini <enrico@debian.org>  Sun, 09 Dec 2007 13:42:55 +0000

goplay (0.1-1) unstable; urgency=low

  * Initial release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 24 Aug 2007 13:21:17 +0000

=== debian/control ===
Source: goplay
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org> 
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Enrico Zini <enrico@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
 g++-4.5 | c++abi2-dev, dh-buildinfo, pkg-config,
 libept-dev (>= 1.0.5build1), libept-dev (<< 2),
 libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2),
 libfltk1.1-dev, fluid
Standards-Version: 3.8.4

Package: goplay
Architecture: any
Depends: ept-cache (>= 0.5.11), debtags, games-thumbnails, ${shlibs:Depends}, ${misc:Depends}
Conflicts: golearn
Provides: golearn
Replaces: golearn
Description: games (and more) package browser using DebTags
 GoPlay! is a Graphical User Interface (GUI) that uses DebTags for easily
 finding games in Debian. The program uses FLTK for handling the widgets,
 and libept as the backend for retrieving the data.
 .
 GoPlay! is also a generic yet simple to use DebTags-based package browser.
 Prepackaged browsers GoLearn!, GoAdmin!, GoNet!, GoOffice!, GoSafe!, and
 GoWeb! show applications (and for some of them also documentation) packages
 related to education, administration, network, office, safety and web.  You
 can also roll your own custom browsers using commandline options.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	test -e /usr/bin/dh_buildinfo && dh_buildinfo

## goplay 0.5

=== debian/changelog ===
goplay (0.5-1) unstable; urgency=low

  * Acknowledge NMU (Closes: #659534).
  * Add myself as uploader.
  * Reduce debhelper compat level from 9 to 8 to make this package
    buildable in Squeeze.  Drop build depend on no longer needed
    dh-autoreconf.
  * Fix typo in code finding desktop files to run to make sure
    it work with desktop files in subdirectories below
    /usr/share/applications/.
  * Update upstream version number to 0.5.
  * Add VCS URLs in the control file (Closes: #659099).
  * Avoid the word 'Debian' in the package description (Closes: #465444).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 25 Feb 2012 21:36:18 +0100

goplay (0.4-1.2) unstable; urgency=low

  * Non-maintainer upload based on NMU found on mentors.debian.net.
  * Add support for starting installed packages by clicking on the
    screen shot (Closes: #490670).
  * src/pkgbrowser.cpp: Assign the return value from strtol() to an
    unused variable and mark it as unused to avoid compiler warnings
    (Closes: #659100).  Patch from Michael Vogt and Ubuntu.
  * Make enough room for the "Already installed" text (Closes:
    #544532).  Patch by Timo Juhani Lindfors.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 11 Feb 2012 22:40:08 +0000

goplay (0.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Packaging update:
    - removed dh-buildinfo, autotools-dev
    + added missing build-deps, dh-autotools; build-deps optimised
    + compat and debhelper to version 9
    + default hardening (with the exception of fortify)
    + standards to 3.9.2
    + ept-cache replaced with apt-xapian-index in Depends
      (Closes: #615495 important:"goplay must be run as root at least
       once to function")
      (Closes: #460921 wishlist:"requires manual ept-cache reindex on
       the first start")
    + games-thumbnails moved to Recommends
      (Closes: #470047 wishlist:"please Recommends: games-thumbnails
       instead of Depends")
    + no longer depends on g++-4.5
      (Closes: #654733 important:"non-standard gcc/g++ used for build...")
    + build-time .xpm icon regeneration, no longer ship pre-built icon
      (imagemagick added to build-deps)
  * patch to introduce 'goscience' browser,
    thanks to Frederic Daniel Luc Lehobey
    (Closes: #474603 wishlist:"Please add a goscience browser")
  * debian/copyright:
    + updated list of contributors
    + little correction for DEP-5 compliance

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Wed, 08 Feb 2012 01:08:17 +1100

=== debian/control ===
Source: goplay
Section: admin
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org> 
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Enrico Zini <enrico@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 8), pkg-config,
 libept-dev, libwibble-dev, libfltk1.1-dev, libtagcoll2-dev
 ,imagemagick
#, fluid
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/software/ui/
Vcs-Svn: svn://svn.debian.org/pkg-games/software/ui/
Standards-Version: 3.9.2

Package: goplay
Architecture: any
Depends: apt-xapian-index, debtags, ${shlibs:Depends}, ${misc:Depends}
Recommends: games-thumbnails
Conflicts: golearn
Provides: golearn
Replaces: golearn
Description: games (and more) package browser using DebTags
 GoPlay! is a Graphical User Interface (GUI) that uses DebTags for
 easily finding games in the package archive. The program uses FLTK
 for handling the widgets, and libept as the backend for retrieving
 the data.
 .
 GoPlay! is also a generic yet simple to use DebTags-based package browser.
 Prepackaged browsers GoLearn!, GoAdmin!, GoNet!, GoOffice!, GoSafe!, GoWeb!
 and GoScience! show applications (and for some of them also documentation)
 packages related to education, administration, network, office, safety, web
 and science.  You can also roll your own custom browsers using commandline
 options.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# the following is necessary to prevent FTBFS
export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
$(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))

%:
	dh $@

override_dh_auto_build:
	convert data/icons/Icon32.png debian/goplay.xpm
	dh_auto_build

## goplay 0.9

=== debian/changelog ===
goplay (0.9) unstable; urgency=low

  * Update Standards-Version from 3.9.4 to 3.9.6.
  * Change default build rules to not print compiler flags, to make it
    easier to spot warnings.  Adjust debian/rules to reenable them when
    building the debian package, for the automatic build check to work.
  * Change package priority from optional to extra, to bring it in line
    with the Debian archive settings.
  * Add more compiler warning flags by default.
  * Depend on debtags (>= 1.12.2) or (<= 1.12) to make sure we get
    a version with properly populating the debtags database
    (Closes: #759208).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 09 Oct 2014 19:22:24 +0000

goplay (0.8) unstable; urgency=medium

  * Rewrite code comparing image count to avoid comparing signed and
    unsigned values, fixing build failures on some architectures.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Sep 2014 14:38:42 +0000

goplay (0.7) unstable; urgency=medium

  * Reinsert fluid build dependency left out by mistake.
  * Ack NMU 0.5-1.2 (Closes:  #755404).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Sep 2014 10:49:18 +0000

goplay (0.6) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Add code to download screen shots from screenshot.debian.net
    (Closes: #659846).  Add build dependency on libcurl4-gnutls-dev
    to get HTTP download support.
  * Restructure code, move code to find screen shots to its own
    function.
  * Reduce the dependency on libept and use xapian index directly to
    avoid downloading popcon data ourself (Closes: 727626).  Patch
    from Enrico Zini.
  * Remove empty MimeType row from desktop files to avoid confusing
    lintian into believing that the Exec row lack a file argument.
  * Adjust source to build with clang (Closes: #753645).  Patch from
    Alexander.
  * Fix typo in copyright file format.
  * Use native version number, to work with the current debian/source/
    setting.

  [ Miriam Ruiz ]
  * Added dh-autoreconf to Build-Depends and using it in debian/rules
    (Closes: #727383).
  * Upgraded Standards-Version from 3.9.2 to 3.9.4
  * Fix segfault.

  [ Enrico Zini ]
  * Remove obsolete and replaced m4 macros.

  [ Jonas Smedegaard ]
  * Remove myself as uploader.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Sep 2014 12:11:57 +0200

goplay (0.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against latest libept
    Closes: #755404

 -- Russell Coker <russell@coker.com.au>  Mon, 28 Jul 2014 16:45:05 +1000

goplay (0.5-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Build the convenience library with -fPIC, avoiding issues with
    relocations (Closes: #664950):
    + use--fPIC-for-the-convenience-library.diff
  * Set urgency to “high” for the RC bug fix, needed for the apt
    transition.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 08 May 2012 01:44:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,23 @@
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org> 
 Uploaders:
- Miriam Ruiz <little_miry@yahoo.es>,
+ Miriam Ruiz <miriam@debian.org>,
  Enrico Zini <enrico@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
  Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>= 8), pkg-config,
- libept-dev, libwibble-dev, libfltk1.1-dev, libtagcoll2-dev
+Build-Depends: debhelper (>= 8), pkg-config, dh-autoreconf,
+ libept-dev, libwibble-dev, libfltk1.3-dev, libtagcoll2-dev
  ,imagemagick
-#, fluid
+ ,libcurl4-gnutls-dev
+ ,fluid
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/software/ui/
 Vcs-Svn: svn://svn.debian.org/pkg-games/software/ui/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 
 Package: goplay
 Architecture: any
-Depends: apt-xapian-index, debtags, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+ , apt-xapian-index
+ , debtags (>= 1.12.2) | debtags (<= 1.12)
 Recommends: games-thumbnails
 Conflicts: golearn
 Provides: golearn

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,10 @@
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
 
 %:
-	dh $@
+	dh $@ --with autoreconf
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
 
 override_dh_auto_build:
 	convert data/icons/Icon32.png debian/goplay.xpm

## goplay 0.9ubuntu1

=== debian/changelog ===
goplay (0.9ubuntu1) wily; urgency=medium

  [ Matthias Klose ]
  * Fix build error with GCC 5. Closes: #777888.

  [ Martin Pitt ]
  * src/goplay.cpp, src/Engine.cpp: Drop debtags.tcc inclusion, it does not
    exist any more in the rearranged libept.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 08:33:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: goplay
 Section: admin
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org> 
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org> 
 Uploaders:
  Miriam Ruiz <miriam@debian.org>,
  Enrico Zini <enrico@debian.org>,

## goplay 0.9.1

=== debian/changelog ===
goplay (0.9.1) unstable; urgency=medium

  * Team upload.
  * Fix build error with GCC 5. (Closes: #777888).
    Thanks to Matthias Klose, Martin Pitt, Greg Pearson and gregor herrmann
    for the report, testing and the patch.
  * Add keywords to desktop files.
  * Use canonical Vcs-URI.
  * Use copyright format 1.0.
  * Change to compat level 9 and require debhelper >= 9.

 -- Markus Koschany <apo@gambaru.de>  Wed, 28 Oct 2015 13:34:06 +0100

## goplay 0.9.1%2Bnmu1ubuntu2

=== debian/changelog ===
goplay (0.9.1+nmu1ubuntu2) xenial; urgency=medium

  * no change rebuild against libept1.5/libapt-pkg5.0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Dec 2015 08:16:55 +0100

goplay (0.9.1+nmu1ubuntu1) xenial; urgency=medium

  * libxdgutils/XDGDesktopEntry.cpp: Work around improper maybe-uninitialized
    warning on Ubuntu's ppc64el gcc-5, by initializing "value" explicitly.
    Fixes FTBFS. See LP: #1521081

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 30 Nov 2015 08:34:35 +0100

goplay (0.9.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with C++11 mode to build with libept 1.1
  * Link to libwibble and libtagcoll2

 -- Julian Andres Klode <jak@debian.org>  Sun, 29 Nov 2015 17:52:33 +0100

## goplay 0.9.1+nmu1

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: goplay
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org> 
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <miriam@debian.org>,
  Enrico Zini <enrico@debian.org>,
  Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>= 8), pkg-config, dh-autoreconf,
+Build-Depends: debhelper (>= 9), pkg-config, dh-autoreconf,
  libept-dev, libwibble-dev, libfltk1.3-dev, libtagcoll2-dev
  ,imagemagick
  ,libcurl4-gnutls-dev
  ,fluid
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/software/ui/
-Vcs-Svn: svn://svn.debian.org/pkg-games/software/ui/
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/software/ui/
 Standards-Version: 3.9.6
 
 Package: goplay

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 # the following is necessary to prevent FTBFS
 export DEB_BUILD_MAINT_OPTIONS=hardening=-fortify
 $(info DEB_BUILD_MAINT_OPTIONS:$(origin DEB_BUILD_MAINT_OPTIONS)=$(DEB_BUILD_MAINT_OPTIONS))
+
+# libept 1.1 requires C++11 mode
+export DEB_CXXFLAGS_MAINT_APPEND := -std=c++11
 
 %:
 	dh $@ --with autoreconf

## goplay 0.9.1+nmu1ubuntu3

=== debian/changelog ===
goplay (0.9.1+nmu1ubuntu3) zesty; urgency=medium

  * Rebuild against new libxapian30.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 15 Nov 2016 18:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: goplay
 Section: admin
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Miriam Ruiz <miriam@debian.org>,
  Enrico Zini <enrico@debian.org>,

## goplay 0.9.1+nmu1ubuntu4

=== debian/changelog ===
goplay (0.9.1+nmu1ubuntu4) eoan; urgency=high

  * No change rebuild against apt 1.9 / libept1.5.90.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 17 Jun 2019 23:17:15 +0200

## goplay 0.9.1+nmu2

=== debian/changelog ===
goplay (0.9.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:13:03 +0800
